HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::LibraryIException Class Reference

`#include <H5Exception.h>`

Inheritance diagram for H5::LibraryIException:

List of all members.

## Public Member Functions
| LibraryIException (const H5std_string &func_name, const H5std_string &message=DEFAULT_MSG)
| Creates a LibraryIException with the name of the function, in which the failure occurs, and an optional detailed message.
| LibraryIException ()
| Default constructor.
virtual | ~LibraryIException ()
| Noop destructor.

## Constructor & Destructor Documentation

H5::LibraryIException::LibraryIException | ( | const H5std_string & | func_name,
|  | const H5std_string & | message = `DEFAULT_MSG` |
| ) |  |  |

Creates a LibraryIException with the name of the function, in which the failure occurs, and an optional detailed message.

Parameters:

  | func_name | - IN: Name of the function where failure occurs
  | message | - IN: Message on the failure

H5::LibraryIException::LibraryIException | ( |  | ) |

Default constructor.

H5::LibraryIException::~LibraryIException | ( |  | ) | `[virtual]`

Noop destructor.